.footer {
  background-color: #111827;
  padding: 40px 40px;
  color: #e5e7eb !important;
  font-size: 16px; /* Base font size for large screens */
}

.footer-container {
  display: flex;
  flex-wrap: wrap;
  gap: 100px;
  justify-content: space-between;
  max-width: 1200px;
  margin: auto;
}

.footer-col {
  flex: 1;
  min-width: 200px;
}

.about .logo-footer {
  display: flex;
  align-items: center;
  gap: 10px;
}

.logo-icon {
  max-width: 200px;
  width: 100%;
  height: auto;
}

.about h2 {
  font-size: 20px;
  font-weight: 700;
  margin: 0;
}

.tagline {
  font-weight: 600;
  font-style: italic;
  color: #ff826b;
  margin-top: 10px;
  font-size: 15px;
}

.description {
  margin-top: 10px;
  line-height: 1.5;
  font-size: 14px;
}

.footer-col h3 {
  font-weight: 700;
  margin-bottom: 15px;
  font-size: 18px;
  color: #ffffff;
}

.footer-col ul {
  list-style: none;
  padding: 0;
}

.footer-col li {
  margin-bottom: 10px;
  cursor: pointer;
  transition: color 0.3s;
  font-size: 14px;
}

.footer-col li:hover {
  color: #ff826b;
}

.footer-bottom {
  border-top: 1px solid #1f2937;
  margin-top: 30px;
  padding-top: 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  max-width: 1200px;
  margin: 30px auto 0;
  font-size: 14px;
}

.social-icons-footer {
  display: flex;
  align-items: center;
  gap: 8px;
}

.social-icons-footer i {
  cursor: pointer;
  transition: color 0.3s;
}

.social-icons-footer i:hover {
  color: #ff826b;
}

.social-icons-footer a {
  color: inherit;
  text-decoration: none;
  transition: color 0.3s;
}

.social-icons-footer a:hover {
  color: #ff826b;
}

/* 2x2 grid for medium screens (tablets) */
@media (max-width: 768px) {
  .footer-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 60px;
  }

  .footer-col {
    min-width: unset;
  }

  .footer {
    font-size: 15px;
  }

  .footer-col h3 {
    font-size: 20px;
  }

  .footer-col li,
  .tagline,
  .description,
  .footer-bottom,
  .social-icons-footer {
    font-size: 18px;
  }
}

/* Stack vertically for small screens (mobiles) */
@media (max-width: 480px) {
  .footer-container {
    display: flex;
    flex-direction: column;
    gap: 40px;
  }

  .footer-bottom {
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
    font-size: 13px;
  }

  .social-icons-footer {
    justify-content: flex-start;
    flex-wrap: wrap;
    gap: 8px;
    font-size: 14px;
  }

  .footer {
    font-size: 14px;
  }

  .footer-col h3 {
    font-size: 18px;
  }

  .footer-col li, 
  .description, 
  .tagline {
    font-size: 14px;
  } 
  
}


.footer-col li a {
  color: inherit; 
  text-decoration: none; 
  transition: color 0.3s; 
}

.footer-col li a:hover {
  color: #ff826b; 
}